Bug 19613 - cc1plus ICE: Internal compiler error in expand_expr, at
Summary: cc1plus ICE: Internal compiler error in expand_expr, at
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-23 15:28 UTC by Matt Wilson
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-24 11:14:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.ii file (484.98 KB, text/plain)
2000-10-23 15:28 UTC, Matt Wilson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2000:132 normal SHIPPED_LIVE Bug fixing update of GCC 2.96 2000-12-19 05:00:00 UTC

Description Matt Wilson 2000-10-23 15:28:16 UTC
bash-2.04$ gcc -o /tmp/foo propacc.ii 
....
/usr/src/oo/oo_605_src/basic/source/classes/propacc.cxx:381: syntax error
before `{'
/usr/src/oo/oo_605_src/basic/source/classes/propacc.cxx: In function `void
RTL_Impl_CreatePropertySet 
(StarBASIC *, SbxArray &, unsigned char)':
/usr/src/oo/oo_605_src/basic/source/classes/propacc.cxx:396: Internal
compiler error in expand_expr, at 
expr.c:5992
Please submit a full bug report.
See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.

bash-2.04$ gcc -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.96/specs
gcc version 2.96 20000731 (Red Hat Linux 7.0)
bash-2.04$ rpm -q gcc
gcc-2.96-57
bash-2.04$ rpm -q gcc-c++
gcc-c++-2.96-57

Comment 1 Matt Wilson 2000-10-23 15:28:41 UTC
Created attachment 4563 [details]
.ii file

Comment 2 Jakub Jelinek 2000-12-20 12:14:11 UTC
Fixed in gcc-c++-2.96-69


Note You need to log in before you can comment on or make changes to this bug.